[evolvis-commits] r11859: fixing crontab

mirabilos at evolvis.org mirabilos at evolvis.org
Thu Feb 24 18:27:27 CET 2011


Author: mirabilos
Date: 2011-02-24 18:27:27 +0100 (Thu, 24 Feb 2011)
New Revision: 11859

Added:
   trunk/gforge_base/evolvisforge-5.1/gforge/crontab.in
Removed:
   trunk/gforge_base/evolvisforge-5.1/gforge/cronjobs/crontab.in
   trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install-3.sh
   trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install.sh
Log:
fixing crontab

Deleted: trunk/gforge_base/evolvisforge-5.1/gforge/cronjobs/crontab.in
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/cronjobs/crontab.in	2011-02-24 17:27:26 UTC (rev 11858)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/cronjobs/crontab.in	2011-02-24 17:27:27 UTC (rev 11859)
@@ -1,114 +0,0 @@
-#
-# GForge
-# Copyright 1999-2001 (c) VA Linux Systems
-# Copyright 2002-2004 (c) GForge, LLC, Ognyan Kulev
-# http://gforge.org/
-#
-# @version   $Id$
-#
-#
-# YOUR php.ini FOR PHP CLI MUST HAVE APPROPRIATE include_path
-
-# Change path to the GForge directory.
-GFORGE="/path/to/gforge"
-
-PHP="/usr/bin/php4 -f"
-
-# Don't mail command output to anyone.
-MAILTO=""
-
-#
-#       recalculate user popularity metric
-#
-10 1 * * * $PHP $GFORGE/cronjobs/calculate_user_metric.php
-
-#
-#  daily project_weekly_metric recalc
-#
-12 1 * * * $PHP $GFORGE/cronjobs/project_weekly_metric.php
-
-#
-#   daily deletion of sessions, closing jobs, etc
-#
-15 1 * * * $PHP $GFORGE/cronjobs/project_cleanup.php
-
-#
-#  daily crunching of survey data and other associated ratings
-#
-41 1 * * * $PHP $GFORGE/cronjobs/rating_stats.php
-
-#
-#  daily crunching of project summary data (counts)
-#
-45 1 * * * $PHP $GFORGE/cronjobs/db_project_sums.php
-
-#
-#   daily recalculate of the sums under the trove map
-#
-50 1 * * * $PHP $GFORGE/cronjobs/db_trove_maint.php
-
-#
-#	daily close pending artifacts
-#
-57 1 * * * $PHP $GFORGE/cronjobs/check_stale_tracker_items.php
-
-#
-#      Daily site backup
-#
-0 2 * * *  $PHP $GFORGE/cronjobs/backup_site.php
-
-#
-#       VACUUM should be done after ALL OTHER JOBS
-#
-40 2 * * *  $PHP $GFORGE/cronjobs/vacuum.php
-
-#
-#       Stats aggregation work
-#
-15 7 * * * $PHP $GFORGE/cronjobs/db_stats_agg.php
-
-#
-#       daily rotation of the activity_log
-#
-0 0 * * *  $PHP $GFORGE/cronjobs/rotate_activity.php
-
-#
-#       daily aggregating of the numbers
-#
-15 0 * * * $PHP $GFORGE/cronjobs/site_stats.php
-
-#
-# Hourly send pending massmailings, if any
-#
-47 * * * * $PHP $GFORGE/cronjobs/massmail.php
-
-#
-#       Reporting Process
-#
-25 7 * * * $PHP $GFORGE/cronjobs/reporting_cron.php
-
-#
-#
-#	IMPORTANT!! READ THE INSTALL file before continuing!
-#
-#
-
-#
-#       Create the new mailing lists
-#
-#06 * * * * $PHP $GFORGE/cronjobs/mail/mailing_lists_create.php
-
-#
-#       Create the /etc/aliases file
-#
-#08 * * * * $PHP $GFORGE/cronjobs/mail/mailaliases.php
-
-#
-#   Send email to users with pending tasks
-#
-30 5 * * 1,2,3,4,5 $PHP $GFORGE/cronjobs/daily_task_email.php
-
-#
-#	Enable the cvs<->tracker link
-#
-#35 1 * * * $PHP $GFORGE/plugins/cvstracker/bin/update_loginfo.php

Added: trunk/gforge_base/evolvisforge-5.1/gforge/crontab.in
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/crontab.in	                        (rev 0)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/crontab.in	2011-02-24 17:27:27 UTC (rev 11859)
@@ -0,0 +1,161 @@
+#
+# GForge
+# Copyright 1999-2001 (c) VA Linux Systems
+# Copyright 2002-2004 (c) GForge, LLC, Ognyan Kulev
+# http://gforge.org/
+#
+# @version   $Id$
+#
+#
+# YOUR php.ini FOR PHP CLI MUST HAVE APPROPRIATE include_path
+
+# Change path to the GForge directory.
+GFORGE="/path/to/gforge"
+
+PHP="/usr/bin/php -f"
+
+# Don't mail command output to anyone.
+MAILTO=""
+
+#
+#       recalculate user popularity metric
+#
+10 1 * * * $PHP $GFORGE/cronjobs/calculate_user_metric.php
+
+#
+#  daily project_weekly_metric recalc
+#
+12 1 * * * $PHP $GFORGE/cronjobs/project_weekly_metric.php
+
+#
+#   daily deletion of sessions, closing jobs, etc
+#
+15 1 * * * $PHP $GFORGE/cronjobs/project_cleanup.php
+
+#
+#  daily crunching of survey data and other associated ratings
+#
+41 1 * * * $PHP $GFORGE/cronjobs/rating_stats.php
+
+#
+#  daily crunching of project summary data (counts)
+#
+45 1 * * * $PHP $GFORGE/cronjobs/db_project_sums.php
+
+#
+#   daily recalculate of the sums under the trove map
+#
+50 1 * * * $PHP $GFORGE/cronjobs/db_trove_maint.php
+
+#
+#	daily close pending artifacts
+#
+57 1 * * * $PHP $GFORGE/cronjobs/check_stale_tracker_items.php
+
+#
+#      Daily site backup
+#
+0 2 * * *  $PHP $GFORGE/cronjobs/backup_site.php
+
+#
+#       VACUUM should be done after ALL OTHER JOBS
+#
+40 2 * * *  $PHP $GFORGE/cronjobs/vacuum.php
+
+#
+#       Stats aggregation work
+#
+15 7 * * * $PHP $GFORGE/cronjobs/db_stats_agg.php
+
+#
+#       daily rotation of the activity_log
+#
+0 0 * * *  $PHP $GFORGE/cronjobs/rotate_activity.php
+
+#
+#       daily aggregating of the numbers
+#
+15 0 * * * $PHP $GFORGE/cronjobs/site_stats.php
+
+#
+# Hourly send pending massmailings, if any
+#
+47 * * * * $PHP $GFORGE/cronjobs/massmail.php
+
+#
+#       Reporting Process
+#
+25 7 * * * $PHP $GFORGE/cronjobs/reporting_cron.php
+
+#
+#
+#	IMPORTANT!! READ THE INSTALL file before continuing!
+#
+#
+
+#
+#       Create the new mailing lists
+#
+#06 * * * * $PHP $GFORGE/cronjobs/mail/mailing_lists_create.php
+
+#
+#       Create the /etc/aliases file
+#
+#08 * * * * $PHP $GFORGE/cronjobs/mail/mailaliases.php
+
+#
+#   Send email to users with pending tasks
+#
+30 5 * * 1,2,3,4,5 $PHP $GFORGE/cronjobs/daily_task_email.php
+
+#
+#       Create the /etc/* files needed for CVS
+#
+10 * * * * $PHP $GFORGE/plugins/scmcvs/cronjobs/cvs-cron/usergroup.php
+
+#
+#       Upload the SSH key files needed for CVS
+#
+15 * * * * $PHP $GFORGE/plugins/scmcvs/cronjobs/cvs-cron/ssh_create.php
+
+#
+#       Create the blank cvs trees
+#
+20 * * * * $PHP $GFORGE/plugins/scmcvs/cronjobs/cvs-cron/cvs.php
+
+#
+#       Create CVS tarballs
+#
+5 2 * * * $PHP $GFORGE/plugins/scmcvs/cronjobs/tarballs.php
+
+#
+#       Create CVS snapshots
+#
+# CVSROOT and SCMSNAPSHOTSDIR variables are hard-coded in the script, so
+# you'll have to edit the script if necessary.
+#
+35 2 * * * /bin/sh $GFORGE/plugins/scmcvs/cronjobs/snapshots.sh generate
+
+#
+#       Create the blank svn trees for SVN-over-DAV
+#       (all repositories owned by apache)
+#
+21 * * * * $PHP $GFORGE/plugins/scmsvn/cronjobs/dav-svn/create_svn.php
+
+#
+#       Create SVN snapshots
+#
+# SVNROOT and SCMSNAPSHOTSDIR variables are hard-coded in the script, so
+# you'll have to edit the script if necessary.
+#
+35 3 * * * /bin/sh $GFORGE/plugins/scmsvn/cronjobs/snapshots.sh generate
+
+#
+#       Daily SVN stats collection
+#
+20 1 * * * $PHP $GFORGE/plugins/scmsvn/cronjobs/svn-stats.php
+
+#
+#       Create SVN tarballs
+#
+5 3 * * * $PHP $GFORGE/plugins/scmsvn/cronjobs/tarballs.php

Deleted: trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install-3.sh
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install-3.sh	2011-02-24 17:27:26 UTC (rev 11858)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install-3.sh	2011-02-24 17:27:27 UTC (rev 11859)
@@ -1,135 +0,0 @@
-#!/bin/sh
-if [ $# -ne 4  ]; then
-	echo 1>&2 Usage: $0  gforge.company.com  apacheuser  apachegroup  ip.add.re.ss
-	exit 127
-fi
-#validate apache user
-getent passwd $2 > /dev/null
-found_apacheuser=$?
-if [ $found_apacheuser -ne 0 ]; then
-	echo 1>&2 "invalid apache user"
-	exit 2
-fi
-#validate apache group
-getent group $3 > /dev/null
-found_apachegroup=$?
-if [ $found_apachegroup -ne 0 ]; then
-	echo 1>&2 "invalid apache group"
-	exit 2
-fi
-#validate IP Address
-echo "$4" | egrep '^([0-9]){1,3}\.([0-9]){1,3}\.([0-9]){1,3}\.([0-9]){1,3}$' -q
-found_ip=$?
-if [ $found_ip -ne 0 ]; then
-	echo 1>&2 "invalid IP address"
-	exit 2
-fi
-
-mkdir /usr/lib/gforge
-if [ ! -d /usr/lib/gforge ]; then
-	echo 1>&2 "/usr/lib/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-mkdir /var/lib/gforge
-if [ ! -d /var/lib/gforge ]; then
-	echo 1>&2 "/var/lib/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-
-mv * /usr/lib/gforge
-cd /var/lib/gforge
-mkdir uploads
-mkdir /var/lib/jpgraph
-mkdir scmtarballs
-mkdir scmsnapshots
-mkdir localizationcache
-if [ ! -f /usr/bin/php4 ]; then
-	ln -s /usr/bin/php /usr/bin/php4
-fi
-
-#project vhost space
-mkdir homedirs
-mkdir /home/groups
-if [ ! -d homedirs/groups ]; then
-	ln -s /home/groups homedirs/groups
-fi
-
-#Create default location for SVN repositories
-mkdir svnroot
-if [ ! -d /svnroot ]; then
-	ln -s /var/lib/gforge/svnroot /svnroot
-fi
-
-#Create default location for CVS repositories
-mkdir cvsroot
-if [ ! -d /cvsroot ]; then
-	ln -s /var/lib/gforge/cvsroot /cvsroot
-fi
-
-cd /usr/lib/gforge
-
-#sets up pretty xslt pages for svn when browsing with a web browser
-cp cronjobs/dav-svn/www/svnindex* www/
-
-#restricted shell for cvs accounts
-cp cronjobs/cvs-cron/cvssh.pl /bin/
-chmod 755 /bin/cvssh.pl
-
-#Create default location for gforge config files
-mkdir /etc/gforge
-cp etc/local.inc.example /etc/gforge/local.inc
-cp etc/gforge-httpd.conf.example /etc/gforge/httpd.conf
-
-#copy cvsweb and make sure it's in the local.inc sys_scmweb path
-cp plugins/scmcvs/cgi-bin/cvsweb /etc/gforge/
-
-#copy viewvc and make sure it's in the local.inc sys_scmweb path
-cp /opt/viewvc/bin/cgi/viewcvs.cgi /etc/gforge/
-
-#copy the scmcvs plugin config to /etc/gforge/
-cp -R plugins/scmcvs/etc/plugins/ /etc/gforge/
-
-#copy the scmsvn config files to /etc/gforge/
-cp -R plugins/scmsvn/etc/plugins/scmsvn/ /etc/gforge/plugins/
-
-#copy the cvstracker config files to /etc/gforge/
-cp -R plugins/cvstracker/etc/plugins/cvstracker/ /etc/gforge/plugins/
-
-#symlink plugin www's
-cd /usr/lib/gforge/www
-/bin/mkdir plugins
-cd plugins
-
-if [ ! -d cvstracker ]; then
-	ln -s ../../plugins/cvstracker/www/ cvstracker
-fi
-if [ ! -d scmcvs ]; then
-	ln -s ../../plugins/scmcvs/www scmcvs
-fi
-if [ ! -d scmsvn ]; then
-	ln -s ../../plugins/scmsvn/www/ scmsvn
-fi
-cd scmsvn
-
-cd /usr/lib/gforge
-
-chown -R root:$3 /usr/lib/gforge
-chmod -R 644 /usr/lib/gforge/
-cd /usr/lib/gforge && find -type d | xargs chmod 755
-chown -R $2:$3 /var/lib/gforge/uploads
-chmod -R 755 /usr/lib/gforge/cronjobs/
-
-if [ ! -d /etc/gforge ]; then
-	echo 1>&2 "/etc/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-chown -R root:$3 /etc/gforge/
-chmod -R 644 /etc/gforge/
-cd /etc/gforge && find -type d | xargs chmod 755
-cd /etc/gforge && find -type f -exec perl -pi -e "s/apacheuser/$2/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/apachegroup/$3/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/gforge\.company\.com/$1/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/192\.168\.100\.100/$4/" {} \;
-
-
-echo "noreply:        /dev/null" >> /etc/aliases

Deleted: trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install.sh
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install.sh	2011-02-24 17:27:26 UTC (rev 11858)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/gforge-install.sh	2011-02-24 17:27:27 UTC (rev 11859)
@@ -1,167 +0,0 @@
-#!/bin/sh
-if [ $# -ne 4  ]; then
-	echo 1>&2 Usage: $0  gforge.company.com  apacheuser  apachegroup  ip.add.re.ss
-	exit 127
-fi
-#validate hostname
-echo "$1" | egrep '^([[:alnum:].\-_])*$' -q
-found_host=$?
-if [ $found_host -ne 0 ]; then
-	echo 1>&2 "invalid hostname"
-	exit 2
-fi
-#validate apache user
-getent passwd $2 > /dev/null
-found_apacheuser=$?
-if [ $found_apacheuser -ne 0 ]; then
-	echo 1>&2 "invalid apache user"
-	exit 2
-fi
-#validate apache group
-getent group $3 > /dev/null
-found_apachegroup=$?
-if [ $found_apachegroup -ne 0 ]; then
-	echo 1>&2 "invalid apache group"
-	exit 2
-fi
-#validate IP Address
-echo "$4" | egrep '^([0-9]){1,3}\.([0-9]){1,3}\.([0-9]){1,3}\.([0-9]){1,3}$' -q
-found_ip=$?
-if [ $found_ip -ne 0 ]; then
-	echo 1>&2 "invalid IP address"
-	exit 2
-fi
-if [ -f /etc/aliases.org ]; then
-	echo 1>&2 "/etc/aliases.org already exists - clean up before starting install"
-	exit 2
-fi
-if [ -f /etc/passwd.org ]; then
-	echo 1>&2 "/etc/passwd.org already exists - clean up before starting install"
-	exit 2
-fi
-if [ -f /etc/shadow.org ]; then
-	echo 1>&2 "/etc/shadow.org already exists - clean up before starting install"
-	exit 2
-fi
-if [ -f /etc/group.org ]; then
-	echo 1>&2 "/etc/group.org already exists - clean up before starting install"
-	exit 2
-fi
-if [ -d /etc/gforge ]; then
-	echo 1>&2 "/etc/gforge already exists - clean up before starting install"
-	exit 2
-fi
-if [ -d /usr/lib/gforge ]; then
-	echo 1>&2 "/usr/lib/gforge already exists - clean up before starting install"
-	exit 2
-fi
-if [ ! -d /opt/viewvc ]; then
-	echo 1>&2 "/opt/viewvc didn't exist - error - make sure you've installed viewvc in /opt/viewvc. You can download from http://gforge.org/frs/?group_id=143"
-	exit 2
-fi
-if [ ! -f /opt/viewvc/bin/cgi/viewcvs.cgi ]; then
-	echo 1>&2 "/opt/viewvc/bin/cgi/viewcvs.cgi didn't exist - error - make sure you've installed viewvc in /opt/viewvc. You can download from http://gforge.org/frs/?group_id=143"
-	exit 2
-fi
-
-
-mkdir /usr/lib/gforge
-if [ ! -d /usr/lib/gforge ]; then
-	echo 1>&2 "/usr/lib/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-mkdir /var/lib/gforge
-if [ ! -d /var/lib/gforge ]; then
-	echo 1>&2 "/var/lib/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-
-mv * /usr/lib/gforge
-cd /var/lib/gforge
-mkdir uploads
-mkdir /var/lib/jpgraph
-mkdir scmtarballs
-mkdir scmsnapshots
-mkdir localizationcache
-ln -s /usr/bin/php /usr/bin/php4
-
-#project vhost space
-mkdir homedirs
-mkdir /home/groups
-ln -s /home/groups homedirs/groups
-
-#Create default location for SVN repositories
-mkdir svnroot
-ln -s /var/lib/gforge/svnroot /svnroot
-
-#Create default location for CVS repositories
-mkdir cvsroot
-ln -s /var/lib/gforge/cvsroot /cvsroot
-
-cd /usr/lib/gforge
-
-#sets up pretty xslt pages for svn when browsing with a web browser
-cp cronjobs/dav-svn/www/svnindex* www/
-
-#restricted shell for cvs accounts
-cp cronjobs/cvs-cron/cvssh.pl /bin/
-chmod 755 /bin/cvssh.pl
-
-#Create default location for gforge config files
-mkdir /etc/gforge
-cp etc/local.inc.example /etc/gforge/local.inc
-cp etc/gforge-httpd.conf.example /etc/gforge/httpd.conf
-
-#copy cvsweb and make sure it's in the local.inc sys_scmweb path
-cp plugins/scmcvs/cgi-bin/cvsweb /etc/gforge/
-
-#copy viewvc and make sure it's in the local.inc sys_scmweb path
-cp /opt/viewvc/bin/cgi/viewcvs.cgi /etc/gforge/
-
-#copy the scmcvs plugin config to /etc/gforge/
-cp -R plugins/scmcvs/etc/plugins/ /etc/gforge/
-
-#copy the scmsvn config files to /etc/gforge/
-cp -R plugins/scmsvn/etc/plugins/scmsvn/ /etc/gforge/plugins/
-
-#copy the cvstracker config files to /etc/gforge/
-cp -R plugins/cvstracker/etc/plugins/cvstracker/ /etc/gforge/plugins/
-
-#symlink plugin www's
-cd /usr/lib/gforge/www
-/bin/mkdir plugins
-cd plugins
-
-ln -s ../../plugins/cvstracker/www/ cvstracker
-ln -s ../../plugins/scmcvs/www scmcvs
-ln -s ../../plugins/scmsvn/www/ scmsvn
-cd scmsvn
-ln -s /opt/viewvc/templates/docroot/ viewcvs
-
-cd /usr/lib/gforge
-
-chown -R root:$3 /usr/lib/gforge
-chmod -R 644 /usr/lib/gforge/
-cd /usr/lib/gforge && find -type d | xargs chmod 755
-chown -R $2:$3 /var/lib/gforge/uploads
-chmod -R 755 /usr/lib/gforge/cronjobs/
-
-if [ ! -d /etc/gforge ]; then
-	echo 1>&2 "/etc/gforge didn't exist - error - make sure you've got permission"
-	exit 2
-fi
-chown -R root:$3 /etc/gforge/
-chmod -R 644 /etc/gforge/
-cd /etc/gforge && find -type d | xargs chmod 755
-cd /etc/gforge && find -type f -exec perl -pi -e "s/apacheuser/$2/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/apachegroup/$3/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/gforge\.company\.com/$1/" {} \;
-cd /etc/gforge && find -type f -exec perl -pi -e "s/192\.168\.100\.100/$4/" {} \;
-
-
-echo "noreply:        /dev/null" >> /etc/aliases
-
-cp /etc/aliases /etc/aliases.org
-cp /etc/shadow /etc/shadow.org
-cp /etc/passwd /etc/passwd.org
-cp /etc/group /etc/group.org



More information about the evolvis-commits mailing list